#
# spec file for package perl-Net-HTTPServer
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           perl-Net-HTTPServer
%define cpan_name Net-HTTPServer
Summary:        A simple perl Http Server
Version:        1.1.1
Release:        28.2
License:        LGPL-2.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Net-HTTPServer/
#Source:         http://www.cpan.org/authors/id/R/RE/REATMON/Net-HTTPServer-%{version}.tar.gz
Source:         %{cpan_name}-%{version}.tar.gz
Patch0:         handlewidechar.patch
Patch1:         escaped_characters.patch
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(URI) >= 1.27
Requires:       perl(URI) >= 1.27
%{perl_requires}

%description
Net::HTTPServer basically turns a CGI script into a stand alone server.
Useful for temporary services, mobile/local servers, or embedding an HTTP
server into another program.

%prep
%autosetup -p1 -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%clean
%{__rm} -rf %{buildroot}

%files -f %{name}.files
%defattr(644,root,root,755)
%doc CHANGES LICENSE.LGPL README

%changelog
* Mon Mar  4 2024 pgajdos@suse.com
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Fri Feb  4 2011 chris@computersalat.de
- recreated by cpanspec 1.78.03
  o fix deps
- noarch pkg
* Fri Dec 10 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Sun Jan 10 2010 jengelh@medozas.de
- enable parallel build
* Tue Dec 23 2008 coolo@suse.de
- fix package name to follow the naming conventions
* Mon Sep 15 2008 mmaier@suse.de
- added two patches
- http://rt.cpan.org/Public/Bug/Display.html?id=39220
- http://rt.cpan.org/Public/Bug/Display.html?id=24361
* Tue Sep  9 2008 mmaier@suse.de
- initial package version 1.1.1
